﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ConfectioneryDataModels.Models;

namespace ConfectioneryContracts.BindingModels
{
    public class PastryBindingModel : IPastryModel
    {
        public int Id { get; set; }
        public string PastryName { get; set; } = string.Empty;
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> PastryComponents
        {
            get;
            set;
        } = new();
    }
}
